Page Summary
-
Updates the shipping settings for a given account, deleting any unspecified fields.
-
Uses an HTTP PUT request to
https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/shippingsettings/{accountId}withmerchantIdandaccountIdpath parameters. -
Requires a request body containing a
ShippingSettingsobject and returns the updatedShippingSettingsobject upon success. -
Needs authorization with the
https://www.googleapis.com/auth/contentscope.
Updates the shipping settings of the account. Any fields that are not provided are deleted from the resource.
HTTP request
PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/shippingsettings/{accountId}
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and |
accountId |
The ID of the account for which to get/update shipping settings. |
Request body
The request body contains an instance of ShippingSettings.
Response body
If successful, the response body contains an instance of ShippingSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.